#
# spec file for package yast2-agent-liloconf (Version 2.4.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-liloconf
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Summary:      YaST2-SCR: lilo.conf agent (for developers only)
Version:      2.4.6
Release:      44
Source0:	yast2-agent-liloconf-2.4.6.tar.bz2

%description
This package contains the interface for the YaST2-SCR system. It parses lilo.conf file and provides reading and writing to it from ycp modules.
This packages is only needed by developers

Authors:
--------
    Dan Meszaros <dmeszar@suse.cz>

SuSE series: yast

%package devel
Version:      2.4.6
Release:      44
Summary:      YaST2-SCR: lilo.conf agent (for developers only)
Group:		Development/Libraries
Provides:	y2a_lilo

%description devel
This package contains the interface for the YaST2-SCR system. It parses lilo.conf file and provides reading and writing to it from ycp modules.
This packages is only needed by developers

Authors:
--------
    Dan Meszaros <dmeszar@suse.cz>

SuSE series: yast

%prep
%setup -n yast2-agent-liloconf-2.4.6

%build
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_liloconf.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_liloconf.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_liloconf.so
/usr/lib/YaST2/plugin/libpy2ag_liloconf.la
%dir /usr/share/doc/packages/yast2-agent-liloconf
/usr/share/doc/packages/yast2-agent-liloconf/*

%changelog -n yast2-agent-liloconf
* Mon Aug 27 2001 - dmeszar@suse.cz
- added options for sparc & ppc
* Mon Jul 30 2001 - dmeszar@suse.cz
- minor fixes
* Thu Jul 26 2001 - dmeszar@suse.cz
- fix for gcc3.0
* Thu Jul 26 2001 - dmeszar@suse.cz
- better option type checking
* Wed Jul 25 2001 - dmeszar@suse.cz
- use unistd.h instead of std.h
* Tue Jul 24 2001 - dmeszar@suse.cz
- special options handling fixed
* Tue Jul 17 2001 - dmeszar@suse.cz
- initial version
